#!/usr/bin/python3-dbg
# -*- coding: utf-8 -*-


# Tests pour valider la gestion des symboles


from chrysacase import ChrysalideTestCase
from pychrysalide.arch import vmpa, mrange
from pychrysalide.format import BinSymbol


class TestBinarySymbols(ChrysalideTestCase):
    """TestCase for format.BinSymbol."""


    def testSymbolDefaultStatus(self):
        """Validate the default status for symbols."""

        saddr = vmpa(0x10, vmpa.VMPA_NO_VIRTUAL)
        srange = mrange(saddr, 0x3)
        symbol = BinSymbol(BinSymbol.STP_ENTRY_POINT, srange)

        self.assertEqual(symbol.status, BinSymbol.SymbolStatus.INTERNAL)

        self.assertEqual(str(symbol.status), 'SymbolStatus.INTERNAL')
